NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_localtime(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_localtime - Return current time in local timezone

## Table Of Contents

## Synopsis

- ns_localtime seconds
- ns_localtime

## Description

This command returns a nine-element Tcl list representing the current time in the system's current timezone. The structure of the list corresponds to the Unix struct tm time structure:

ns_localtime seconds

  minutes (0-59)

  hours (0-23)

  dayofmonth (1-31)

  monthofyear (0-11)

  year (year-1900)

  dayofweek (0-6, Sunday=0)

  dayofyear (0-365)

  isdst (>0 if Daylight Savings Time is in effect)

## COMMANDS

ns_localtime

## EXAMPLES

       % ns_localtime
       33 33 22 11 5 104 5 162 1

## See Also

ns_fmttime, ns_gmtime, ns_httptime, ns_parsehttptime, ns_parsetime, ns_time

## Keywords

time